#
# spec file for package python-dialog
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-dialog
BuildRequires:  python-devel
%define tarname python2-pythondialog
Summary:        A Python interface to the Unix dialog utility
License:        LGPL-2.1+
Group:          Development/Libraries/Python
Version:        3.3.0
Release:        lp152.3.3
Source0:        https://pypi.python.org/packages/source/p/%{tarname}/%{tarname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://pythondialog.sourceforge.net/
Requires:       dialog
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A Python interface to the Unix dialog utility, designed to provide an
easy, pythonic and as complete as possible way to use the dialog
features from Python code.

%prep
%setup -n %{tarname}-%{version}

%build
rm setup.cfg
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS PKG-INFO TODO examples/demo.py COPYING README.rst ChangeLog
%{python_sitelib}/*

%changelog
* Mon Dec  7 2015 jweberhofer@weberhofer.at
- Requires dialog package
* Thu Nov 19 2015 jweberhofer@weberhofer.at
  Major update to version 3.3.0.
  This version is a backport of pythondialog to Python 2. Unless you really have
  to use Python 2. For a full changelog see the packaged ChangeLog file or
  http://pythondialog.sourceforge.net/news.html
* Fri Sep 27 2013 p.drouand@gmail.com
- Update to version 2.11
  + README: I thought I was adding a valuable precision in version 2.09
  when I changed "LGPL" to "LGPL version 2.1" in the README file (after
  looking at COPYING), but actually, the terms at the beginning of
  dialog.py are "either version 2.1 of the License, or (at your option)
  any later version". Sorry about that, fixed.
  + demo.py: use "if <test> <expr1> else <expr2>" expressions more
  often, since they are allowed in Python >= 2.5
- Refactor specfile and cleanup
* Tue Aug 11 2009 matejcik@suse.cz
- build as noarch on newer distros
- do not remove buildroot in %%install
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Feb  9 2005 mcihar@suse.cz
- update to 2.7
* Wed Aug  4 2004 mcihar@suse.cz
- updated to 2.06
- use %%py_requires
* Thu Oct 16 2003 mcihar@suse.cz
- inital packaging
